import { useQuery } from "h3";
import { fetchFileContributors, overrideConfig } from "../../utils/queries.mjs";
import * as imports from "#imports";
let handler;
if (process.env.NODE_ENV === "development") {
  handler = imports.defineEventHandler;
} else {
  handler = imports.defineCachedEventHandler;
}
export default handler(async ({ req }) => {
  const moduleConfig = imports.useRuntimeConfig().github;
  const query = useQuery(req);
  const githubConfig = overrideConfig(moduleConfig, query);
  query.max = query.max ? Number(query.max) : moduleConfig.maxContributors;
  return await fetchFileContributors(query, githubConfig);
}, {
  maxAge: 60
});
