import { useQuery } from "h3";
import { fetchReleases, overrideConfig, parseRelease } from "../../utils/queries.mjs";
import * as imports from "#imports";
let handler;
if (process.env.NODE_ENV === "development") {
  handler = imports.defineEventHandler;
} else {
  handler = imports.defineCachedEventHandler;
}
export default handler(async ({ req }) => {
  const moduleConfig = imports.useRuntimeConfig().github;
  const query = useQuery(req);
  const githubConfig = overrideConfig(moduleConfig, query);
  if (!githubConfig.owner || !githubConfig.repo || !githubConfig.api) {
    return [];
  }
  let release = await fetchReleases({ last: true }, githubConfig);
  if (release && moduleConfig.parseContents) {
    release = await parseRelease(release, githubConfig);
  }
  return release;
}, {
  maxAge: 60
});
